apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: {{ .Values.app }}
    app.kubernetes.io/name: {{ .Values.app }}
    app.kubernetes.io/version: 1.0.0-SNAPSHOT
  name: {{ .Values.app }}
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ .Values.app }}
      app.kubernetes.io/version: 1.0.0-SNAPSHOT
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ .Values.app }}
        app.kubernetes.io/version: 1.0.0-SNAPSHOT
    spec:
      containers:
      - name: antennas-front-jvm 
        env:
        - name: INCIDENT_URL
          value: {{ .Values.incident_url }}
        - name: APIKEY
          value: MY.api_key
        image: quay.io/rh_ee_slallema/antennas-front-jvm:remote-client
        imagePullPolicy: Always
        ports:
        - containerPort: 8080
          name: http
          protocol: TCP
